Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Meter ID

Body

application/json

Fields that do not change how the meter bills. To change event_name, aggregation or filter, archive the meter and create a new meter.

description
string | null

Description of the meter. Send null to remove the description. Omit it to keep it.

measurement_unit
string | null

Measurement unit

name
string | null

Name of the meter

Response

Meter updated

aggregation
Meter Aggregation · object
required
business_id
string
required
created_at
string<date-time>
required
event_name
string
required
id
string
required
measurement_unit
string
required
name
string
required
updated_at
string<date-time>
required
description
string | null
filter
null | Meter Filter · object

A filter structure that combines multiple conditions with logical conjunctions (AND/OR).

Supports up to 3 levels of nesting to create complex filter expressions. Each filter has a conjunction (and/or) and clauses that can be either direct conditions or nested filters.

Example:
Last modified on October 28, 2026